com.genesyslab.wfm8.API.service.schedule852

## Class SchScenarioSite

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule852.SchScenarioSite

- All Implemented Interfaces:
    java.io.Serializable

      public class SchScenarioSite
      extends java.lang.Object
      implements java.io.Serializable

  Schedule Scenario Site Information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<java.lang.Integer>` | `schActivities` List of activity identifiers for which the schedule should be built.
    `protected int` | `schActivitiesNSizeIs` The number of elements in the 'schActivities' array.
    `protected java.util.List<SchScenarioAgent>` | `schAgents` An array of `SchScenarioAgent`, specifying agents in the scenario.
    `protected int` | `schAgentsNSizeIs` The number of elements in the 'schAgents' array.
    `private static long` | `serialVersionUID`
    `protected int` | `wmSiteId` Site ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchScenarioSite()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<java.lang.Integer>` | `getSchActivities()` Gets the value of the schActivities property.
    `int` | `getSchActivitiesNSizeIs()` Gets the value of the schActivitiesNSizeIs property.
    `java.util.List<SchScenarioAgent>` | `getSchAgents()` Gets the value of the schAgents property.
    `int` | `getSchAgentsNSizeIs()` Gets the value of the schAgentsNSizeIs property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `hashCode()`
    `void` | `setSchActivities(java.util.List<java.lang.Integer> schActivities)` Sets the value of the schActivities property.
    `void` | `setSchActivitiesNSizeIs(int value)` Sets the value of the schActivitiesNSizeIs property.
    `void` | `setSchAgents(java.util.List<SchScenarioAgent> schAgents)` Sets the value of the schAgents property.
    `void` | `setSchAgentsNSizeIs(int value)` Sets the value of the schAgentsNSizeIs property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `java.lang.String` | `toString()`
    `SchScenarioSite` | `withSchActivities(java.util.Collection<java.lang.Integer> values)`
    `SchScenarioSite` | `withSchActivities(java.lang.Integer... values)`
    `SchScenarioSite` | `withSchActivitiesNSizeIs(int value)`
    `SchScenarioSite` | `withSchAgents(java.util.Collection<SchScenarioAgent> values)`
    `SchScenarioSite` | `withSchAgents(SchScenarioAgent... values)`
    `SchScenarioSite` | `withSchAgentsNSizeIs(int value)`
    `SchScenarioSite` | `withWmSiteId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmSiteId

          protected int wmSiteId

      Site ID

    - #### schActivitiesNSizeIs

          protected int schActivitiesNSizeIs

      The number of elements in the 'schActivities' array.

    - #### schActivities

          protected java.util.List<java.lang.Integer> schActivities

      List of activity identifiers for which the schedule should be built. `CfgActivity`

    - #### schAgentsNSizeIs

          protected int schAgentsNSizeIs

      The number of elements in the 'schAgents' array.

    - #### schAgents

          protected java.util.List<SchScenarioAgent> schAgents

      An array of `SchScenarioAgent`, specifying agents in the scenario.

  - ### Constructor Detail

    - #### SchScenarioSite

          public SchScenarioSite()

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getSchActivitiesNSizeIs

          public int getSchActivitiesNSizeIs()

      Gets the value of the schActivitiesNSizeIs property.

    - #### setSchActivitiesNSizeIs

          public void setSchActivitiesNSizeIs(int value)

      Sets the value of the schActivitiesNSizeIs property.

    - #### getSchActivities

          public java.util.List<java.lang.Integer> getSchActivities()

      Gets the value of the schActivities property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schActivities property.

      For example, to add a new item, do as follows:

              getSchActivities().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getSchAgentsNSizeIs

          public int getSchAgentsNSizeIs()

      Gets the value of the schAgentsNSizeIs property.

    - #### setSchAgentsNSizeIs

          public void setSchAgentsNSizeIs(int value)

      Sets the value of the schAgentsNSizeIs property.

    - #### getSchAgents

          public java.util.List<SchScenarioAgent> getSchAgents()

      Gets the value of the schAgents property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schAgents property.

      For example, to add a new item, do as follows:

              getSchAgents().add(newItem);

      Objects of the following type(s) are allowed in the list `SchScenarioAgent`

    - #### withWmSiteId

          public SchScenarioSite withWmSiteId(int value)

    - #### withSchActivitiesNSizeIs

          public SchScenarioSite withSchActivitiesNSizeIs(int value)

    - #### withSchActivities

          public SchScenarioSite withSchActivities(java.lang.Integer... values)

    - #### withSchActivities

          public SchScenarioSite withSchActivities(java.util.Collection<java.lang.Integer> values)

    - #### withSchAgentsNSizeIs

          public SchScenarioSite withSchAgentsNSizeIs(int value)

    - #### withSchAgents

          public SchScenarioSite withSchAgents(SchScenarioAgent... values)

    - #### withSchAgents

          public SchScenarioSite withSchAgents(java.util.Collection<SchScenarioAgent> values)

    - #### setSchActivities

          public void setSchActivities(java.util.List<java.lang.Integer> schActivities)

      Sets the value of the schActivities property.
      Parameters:
        `schActivities` - allowed object is `Integer`

    - #### setSchAgents

          public void setSchAgents(java.util.List<SchScenarioAgent> schAgents)

      Sets the value of the schAgents property.
      Parameters:
        `schAgents` - allowed object is `SchScenarioAgent`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.